al_release_haptic(3)

NAME

al_release_haptic - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_release_haptic(ALLEGRO_HAPTIC *haptic)

DESCRIPTION

Releases the haptic device and its resources when it's not needed anymore. Should also be used in case the joystick configuration changed, such as when a joystick is hot plugged. This function also automatically releases all haptic effects that are still uploaded to the device and that have not been released manually using al_release_haptic_effect(3).

Returns true on success or false if the haptic device couldn't be released for any reason, such as NULL being passed, the device not being active or failure in the driver.

SINCE

5.1.8

    [Unstable API]: Perhaps could be simplified due to limited support for all the exposed features across all of the platforms. Awaiting feedback from users.